%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check

%global crate git-absorb

Name:           rust-git-absorb
Version:        0.6.13
Release:    1%{?dist}
Summary:        Git commit --fixup, but automatic

License:        BSD-3-Clause
URL:            https://crates.io/crates/git-absorb
Source0:         %{crates_source}
Source1:        https://github.com/tummychow/git-absorb/raw/%{version}/Documentation/git-absorb.1

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Git commit --fixup, but automatic.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
License:        BSD-3-Clause AND GPL-2.0-only WITH GCC-exception-2.0 AND MIT AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND (MPL-2.0 OR MIT OR Apache-2.0) AND (Unlicense OR MIT)

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE.md
%license LICENSE.dependencies
%doc README.md
%{_bindir}/git-absorb
%{_mandir}/man1/git-absorb.1*
%{bash_completions_dir}/git-absorb
%{fish_completions_dir}/git-absorb.fish
%{zsh_completions_dir}/_git-absorb

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies
./target/rpm/git-absorb --gen-completions bash > git-absorb.bash
./target/rpm/git-absorb --gen-completions fish > git-absorb.fish
./target/rpm/git-absorb --gen-completions zsh > git-absorb.zsh

%install
%cargo_install
install -Dpm 644 %{SOURCE1} -t %{buildroot}/%{_mandir}/man1/
install -Dpm 0644 git-absorb.bash %{buildroot}/%{bash_completions_dir}/git-absorb
install -Dpm 0644 git-absorb.fish %{buildroot}/%{fish_completions_dir}/git-absorb.fish
install -Dpm 0644 git-absorb.zsh %{buildroot}/%{zsh_completions_dir}/_git-absorb

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.13-1
- initial build
